## libsass 3.6.4

=== debian/changelog ===
libsass (3.6.4-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Anthony Fok <foka@debian.org>  Mon, 07 Dec 2020 20:19:25 -0700

libsass (3.6.4-3) unstable; urgency=medium

  * have autopkgtest depend on ruby:native (not ruby);
    closes: bug#955521,
    thanks to Steve Langasek and Gianfranco Costamagna

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jun 2020 13:54:10 +0200

libsass (3.6.4-2) unstable; urgency=medium

  * simplifiy build;
    use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat
    (not autoconf automake cdbs debhelper dh-autoreconf libtool)
  * set Rules-Requires-Root: no
  * watch: shorten regex; rewrite usage comment
  * copyright: fix update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jun 2020 22:25:22 +0200

libsass (3.6.4-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Anthony Fok ]
  * Apply cme dpkg suggested fixes:
    - Organize debian/control fields;
    - Remove "Suggests: libsass-doc" which has never been packaged for Debian.
    - [Not applied]: Bump debhelper compatibility level to 13:
       * Cannot yet use debhelper-compat due to CDBS bug #946677;
       * Cannot yet use debhelper >= 11 due to CDBS bug #885407.

 -- Anthony Fok <foka@debian.org>  Sat, 09 May 2020 03:07:13 -0600

=== debian/control ===
Source: libsass
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 autoconf-archive,
 d-shlibs (>= 0.50),
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/sass-team/libsass
Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
Homepage: https://sass-lang.com/libsass
Rules-Requires-Root: no

Package: libsass1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${cdbs:Pre-Depends},
 ${misc:Pre-Depends},
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.

Package: libsass-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsass1 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 This package provides header files for developing your applications to
 use libsass template engine.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export LIBSASS_VERSION = $(DEB_VERSION_UPSTREAM)

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
override_dh_install:
	dh_install
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(DEB_SOURCE).so

%:
	dh $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/sass/libsass/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## libsass 3.6.4+20201122

=== Makefile ===
OS       ?= $(shell uname -s)
CC       ?= cc
CXX      ?= c++
RM       ?= rm -f
CP       ?= cp -a
MKDIR    ?= mkdir
RMDIR    ?= rmdir
WINDRES  ?= windres
# Solaris/Illumos flavors
# ginstall from coreutils
ifeq ($(OS),SunOS)
INSTALL  ?= ginstall
endif
INSTALL  ?= install
CFLAGS   ?= -Wall
CXXFLAGS ?= -Wall
LDFLAGS  ?= -Wall
ifndef COVERAGE
  CFLAGS   += -O2
  CXXFLAGS += -O2
  LDFLAGS  += -O2
else
  CFLAGS   += -O1 -fno-omit-frame-pointer
  CXXFLAGS += -O1 -fno-omit-frame-pointer
  LDFLAGS  += -O1 -fno-omit-frame-pointer
endif
CAT ?= $(if $(filter $(OS),Windows_NT),type,cat)

ifneq (,$(findstring /cygdrive/,$(PATH)))
	UNAME := Cygwin
else
ifneq (,$(findstring Windows_NT,$(OS)))
	UNAME := Windows
else
ifneq (,$(findstring mingw32,$(MAKE)))
	UNAME := Windows
else
ifneq (,$(findstring MINGW32,$(shell uname -s)))
	UNAME := Windows
else
	UNAME := $(shell uname -s)
endif
endif
endif
endif

ifndef LIBSASS_VERSION
	ifneq ($(wildcard ./.git/ ),)
		LIBSASS_VERSION ?= $(shell git describe --abbrev=4 --dirty --always --tags)
	endif
	ifneq ($(wildcard VERSION),)
		LIBSASS_VERSION ?= $(shell $(CAT) VERSION)
	endif
endif
ifdef LIBSASS_VERSION
	CFLAGS   += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
	CXXFLAGS += -DLIBSASS_VERSION="\"$(LIBSASS_VERSION)\""
endif

CXXFLAGS += -std=c++11
LDFLAGS  += -std=c++11

ifeq (Windows,$(UNAME))
	ifneq ($(BUILD),shared)
		STATIC_ALL     ?= 1
	endif
	STATIC_LIBGCC    ?= 1
	STATIC_LIBSTDCPP ?= 1
else
	STATIC_ALL       ?= 0
	STATIC_LIBGCC    ?= 0
	STATIC_LIBSTDCPP ?= 0
endif

ifndef SASS_LIBSASS_PATH
	SASS_LIBSASS_PATH = $(CURDIR)
endif
ifdef SASS_LIBSASS_PATH
	CFLAGS   += -I $(SASS_LIBSASS_PATH)/include
	CXXFLAGS += -I $(SASS_LIBSASS_PATH)/include
else
	# this is needed for mingw
	CFLAGS   += -I include
	CXXFLAGS += -I include
endif

CFLAGS   += $(EXTRA_CFLAGS)
CXXFLAGS += $(EXTRA_CXXFLAGS)
LDFLAGS  += $(EXTRA_LDFLAGS)

LDLIBS = -lm
ifneq ($(BUILD),shared)
	ifneq ($(STATIC_LIBSTDCPP),1)
		LDLIBS += -lstdc++
	endif
endif

# link statically into lib
# makes it a lot more portable
# increases size by about 50KB
ifeq ($(STATIC_ALL),1)
	LDFLAGS += -static
endif
ifeq ($(STATIC_LIBGCC),1)
	LDFLAGS += -static-libgcc
endif
ifeq ($(STATIC_LIBSTDCPP),1)
	LDFLAGS += -static-libstdc++
endif

ifeq ($(UNAME),Darwin)
	CFLAGS += -stdlib=libc++
	CXXFLAGS += -stdlib=libc++
	LDFLAGS += -stdlib=libc++
endif

ifneq (Windows,$(UNAME))
	ifneq (FreeBSD,$(UNAME))
		ifneq (OpenBSD,$(UNAME))
			LDFLAGS += -ldl
			LDLIBS += -ldl
		endif
	endif
endif

ifneq ($(BUILD),shared)
	BUILD := static
endif
ifeq ($(DEBUG),1)
	BUILD := debug-$(BUILD)
endif

ifndef TRAVIS_BUILD_DIR
	ifeq ($(OS),SunOS)
		PREFIX ?= /opt/local
	else
		PREFIX ?= /usr/local
	endif
else
	PREFIX ?= $(TRAVIS_BUILD_DIR)
endif

SASS_SASSC_PATH ?= sassc
SASS_SPEC_PATH ?= sass-spec
SASS_SPEC_SPEC_DIR ?= spec
LIBSASS_SPEC_PATH ?= libsass-spec
LIBSASS_SPEC_SPEC_DIR ?= spec
SASSC_BIN = $(SASS_SASSC_PATH)/bin/sassc
RUBY_BIN = ruby

RESOURCES =
STATICLIB = lib/libsass.a
SHAREDLIB = lib/libsass.so
LIB_STATIC = $(SASS_LIBSASS_PATH)/lib/libsass.a
LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.so
ifeq ($(UNAME),Darwin)
	SHAREDLIB = lib/libsass.dylib
	LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.dylib
endif
ifeq (Windows,$(UNAME))
	SASSC_BIN = $(SASS_SASSC_PATH)/bin/sassc.exe
	RESOURCES += res/resource.rc
	SHAREDLIB  = lib/libsass.dll
	ifeq (shared,$(BUILD))
		CFLAGS    += -D ADD_EXPORTS
		CXXFLAGS  += -D ADD_EXPORTS
		LIB_SHARED  = $(SASS_LIBSASS_PATH)/lib/libsass.dll
	endif
else
ifneq (Cygwin,$(UNAME))
	CFLAGS   += -fPIC
	CXXFLAGS += -fPIC
	LDFLAGS  += -fPIC
endif
endif

include Makefile.conf
OBJECTS = $(addprefix src/,$(SOURCES:.cpp=.o))
COBJECTS = $(addprefix src/,$(CSOURCES:.c=.o))
RCOBJECTS = $(RESOURCES:.rc=.o)

DEBUG_LVL ?= NONE

CLEANUPS ?=
CLEANUPS += $(RCOBJECTS)
CLEANUPS += $(COBJECTS)
CLEANUPS += $(OBJECTS)
CLEANUPS += $(LIBSASS_LIB)

all: $(BUILD)

debug: $(BUILD)

debug-static: LDFLAGS := -g $(filter-out -O2,$(LDFLAGS))
debug-static: CFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CFLAGS))
debug-static: CXXFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CXXFLAGS))
debug-static: static

debug-shared: LDFLAGS := -g $(filter-out -O2,$(LDFLAGS))
debug-shared: CFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CFLAGS))
debug-shared: CXXFLAGS := -g -DDEBUG -DDEBUG_LVL="$(DEBUG_LVL)" $(filter-out -O2,$(CXXFLAGS))
debug-shared: shared

lib:
	$(MKDIR) lib

lib/libsass.a: $(COBJECTS) $(OBJECTS) | lib
	$(AR) rcvs $@ $(COBJECTS) $(OBJECTS)

lib/libsass.so: $(COBJECTS) $(OBJECTS) | lib
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(LDLIBS)

lib/libsass.dylib: $(COBJECTS) $(OBJECTS) | lib
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(LDLIBS) \
	-install_name @rpath/libsass.dylib

lib/libsass.dll: $(COBJECTS) $(OBJECTS) $(RCOBJECTS) | lib
	$(CXX) -shared $(LDFLAGS) -o $@ $(COBJECTS) $(OBJECTS) $(RCOBJECTS) $(LDLIBS) \
	-s -Wl,--subsystem,windows,--out-implib,lib/libsass.a

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.o: %.rc
	$(WINDRES) -i $< -o $@

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%: %.o static
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LDFLAGS) $(LDLIBS)

install: install-$(BUILD)

static: $(STATICLIB)
shared: $(SHAREDLIB)

$(DESTDIR)$(PREFIX):
	$(MKDIR) $(DESTDIR)$(PREFIX)

$(DESTDIR)$(PREFIX)/lib: | $(DESTDIR)$(PREFIX)
	$(MKDIR) $(DESTDIR)$(PREFIX)/lib

$(DESTDIR)$(PREFIX)/include: | $(DESTDIR)$(PREFIX)
	$(MKDIR) $(DESTDIR)$(PREFIX)/include

$(DESTDIR)$(PREFIX)/include/sass: | $(DESTDIR)$(PREFIX)/include
	$(MKDIR) $(DESTDIR)$(PREFIX)/include/sass

$(DESTDIR)$(PREFIX)/include/%.h: include/%.h \
                                 | $(DESTDIR)$(PREFIX)/include/sass
	$(INSTALL) -v -m0644 "$<" "$@"

install-headers: $(DESTDIR)$(PREFIX)/include/sass.h \
                 $(DESTDIR)$(PREFIX)/include/sass2scss.h \
                 $(DESTDIR)$(PREFIX)/include/sass/base.h \
                 $(DESTDIR)$(PREFIX)/include/sass/version.h \
                 $(DESTDIR)$(PREFIX)/include/sass/values.h \
                 $(DESTDIR)$(PREFIX)/include/sass/context.h \
                 $(DESTDIR)$(PREFIX)/include/sass/functions.h

$(DESTDIR)$(PREFIX)/lib/%.a: lib/%.a \
                             | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.so: lib/%.so \
                             | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.dll: lib/%.dll \
                               | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

$(DESTDIR)$(PREFIX)/lib/%.dylib: lib/%.dylib \
                               | $(DESTDIR)$(PREFIX)/lib
	@$(INSTALL) -v -m0755 "$<" "$@"

install-static: $(DESTDIR)$(PREFIX)/lib/libsass.a

install-shared: $(DESTDIR)$(PREFIX)/$(SHAREDLIB) \
                install-headers

$(SASSC_BIN): $(BUILD)
	$(MAKE) -C $(SASS_SASSC_PATH) build-$(BUILD)

sassc: $(SASSC_BIN)
	$(SASSC_BIN) -v

version: $(SASSC_BIN)
	$(SASSC_BIN) -v

test: test_build

$(SASS_SPEC_PATH):
	git clone https://github.com/sass/sass-spec $(SASS_SPEC_PATH)

$(LIBSASS_SPEC_PATH):
	git clone https://github.com/mgreter/libsass-spec $(LIBSASS_SPEC_PATH)

test_build: $(SASSC_BIN) $(SASS_SPEC_PATH) $(LIBSASS_SPEC_PATH)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	$(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)" \
	$(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/compressed -t compressed" \
	$(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/compressed
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/nested -t nested" \
	$(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/nested

test_full: $(SASSC_BIN) $(SASS_SPEC_PATH) $(LIBSASS_SPEC_PATH)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	--run-todo $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)" \
	--run-todo $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/compressed -t compressed" \
	--run-todo $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/compressed
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/nested -t nested" \
	--run-todo $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/nested

test_probe: $(SASSC_BIN) $(SASS_SPEC_PATH) $(LIBSASS_SPEC_PATH)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	--probe-todo $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)" \
	--probe-todo $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/compressed -t compressed" \
	--probe-todo $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/compressed
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/nested -t nested" \
	--probe-todo $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/nested

test_interactive: $(SASSC_BIN) $(SASS_SPEC_PATH) $(LIBSASS_SPEC_PATH)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)" \
	--interactive $(LOG_FLAGS) $(SASS_SPEC_PATH)/$(SASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)" \
	--interactive $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/$(LIBSASS_SPEC_SPEC_DIR)
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/compressed -t compressed" \
	--interactive $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/compressed
	$(RUBY_BIN) $(SASS_SPEC_PATH)/sass-spec.rb -c $(SASSC_BIN) --impl libsass \
	--cmd-args "-I $(LIBSASS_SPEC_PATH)/styles/nested -t nested" \
	--interactive $(LOG_FLAGS) $(LIBSASS_SPEC_PATH)/styles/nested

clean-objects: | lib
	-$(RM) lib/*.a lib/*.so lib/*.dll lib/*.dylib lib/*.la
	-$(RMDIR) lib
clean: clean-objects
	$(RM) $(CLEANUPS)

clean-all:
	$(MAKE) -C $(SASS_SASSC_PATH) clean

lib-file: lib-file-$(BUILD)
lib-opts: lib-opts-$(BUILD)

lib-file-static:
	@echo $(LIB_STATIC)
lib-file-shared:
	@echo $(LIB_SHARED)
lib-opts-static:
	@echo -L"$(SASS_LIBSASS_PATH)/lib"
lib-opts-shared:
	@echo -L"$(SASS_LIBSASS_PATH)/lib -lsass"

.PHONY: all static shared sassc \
        version install-headers \
        clean clean-all clean-objects \
        debug debug-static debug-shared \
        install install-static install-shared \
        lib-opts lib-opts-shared lib-opts-static \
        lib-file lib-file-shared lib-file-static \
        test test_build test_full test_probe
.DELETE_ON_ERROR:

=== debian/changelog ===
libsass (3.6.4+20201122-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    notable changes:
    + fix issue with some std::unordered_map implementations
    + fix how we count unicode characters
    + revert compound re-ordering for non extended selectors
    + fix error of working with the pointer

  [ Jonas Smedegaard ]
  * update watch file to track git commits
    (not releases: development has stagnated)
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * update symbols file

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jan 2021 18:53:27 +0100

libsass (3.6.4-4) unstable; urgency=medium

  * track library symbols with pkgkde_symbolshelper
  * update symbols file,
    and manually demangle some entries with c++filt
    to avoid misdection as removals when built with C++ 10
  * declare compliance with Debian Policy 4.5.1
  * use debhelper compatibility level 13 (not 12)
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jan 2021 13:03:47 +0100

=== debian/control ===
Source: libsass
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 autoconf-archive,
 d-shlibs (>= 0.50),
 debhelper-compat (= 13),
 pkg-kde-tools,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/sass-team/libsass
Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
Homepage: https://sass-lang.com/libsass
Rules-Requires-Root: no

Package: libsass1
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: C/C++ port of the Sass CSS precompiler
 Sass is a pre-processing language for CSS.
 It allows you to write cleaner stylesheets
 and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine.
 The point is to be simple, fast, and easy to integrate.

Package: libsass-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsass1 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: C/C++ port of the Sass CSS precompiler - development headers
 Sass is a pre-processing language for CSS.
 It allows you to write cleaner stylesheets
 and makes collaboration on your CSS a breeze.
 .
 LibSass is a C/C++ port of the Sass engine.
 The point is to be simple, fast, and easy to integrate.
 .
 This package provides header files
 for developing your applications to use libsass template engine.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	d-shlibmove --commit \
 		--devunversioned \
 		--exclude-la \
@@ -18,4 +17,4 @@
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(DEB_SOURCE).so
 
 %:
-	dh $@
+	dh $@ --with pkgkde_symbolshelper

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=3.6.4+%cd \
https://github.com/sass/libsass HEAD

## libsass 3.6.5

=== debian/changelog ===
libsass (3.6.5-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental, remaining changes:
    + Mark additional symbols optional for ppc64el and s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jul 2021 14:34:51 +0000

libsass (3.6.5-1) experimental; urgency=medium

  [ upstream ]
  * new release, with only bugfixes compared to previous snapshot:
    + Fix seed generator if std::random_device fails (#3151)
    + Fix obvious backporting error in pseudo extend
    + Fix obvious identical subexpressions in `op_color_number`
    + Fix extend edge case going endlessly

  [ Jonas Smedegaard ]
    + update watch file: bump base version

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Jun 2021 10:20:18 +0200

libsass (3.6.4+20210501-1ubuntu1) impish; urgency=medium

  * Mark additional symbols optional for ppc64el and s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jul 2021 07:43:54 +0000

libsass (3.6.4+20210501-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    notable changes:
    + fix parse URLs containing exclamation marks

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 May 2021 10:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libsass
-Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Anthony Fok <foka@debian.org>,

## libsass 3.6.5%2B20211226

=== debian/changelog ===
libsass (3.6.5+20211226-1~bpo11+2) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Relax symbols check when targeting backports

 -- Anthony Fok <foka@debian.org>  Wed, 12 Oct 2022 14:07:28 -0600

libsass (3.6.5+20211226-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Fri, 30 Sep 2022 09:57:48 -0600

libsass (3.6.5+20211226-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + docs: Fix a few typos

  [ Jonas Smedegaard ]
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Jan 2022 20:27:18 +0100

libsass (3.6.5+20211111-2) unstable; urgency=medium

  * update symbols file;
    closes: bug#984208, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Nov 2021 22:04:53 +0100

libsass (3.6.5+20211111-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * relax to build-depend unversioned on d-shlibs:
    required version satisfied in all supported Debian releases
  * relax symbols check when targeting experimental

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Nov 2021 18:37:54 +0100

libsass (3.6.5+20210718-1) unstable; urgency=medium

  * declare compliance with Debian Policy 4.6.0
  * update symbols file

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Sep 2021 18:02:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,14 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
+# resolve if release is experimental or backports
+EXP_RELEASE = $(filter experimental% UNRELEASED %-backports,\
+ $(shell dpkg-parsechangelog -S Distribution))
+
 export LIBSASS_VERSION = $(DEB_VERSION_UPSTREAM)
+
+# relax symbols check when targeting experimental and backports
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install

## libsass 3.6.5+20211226

=== debian/changelog ===
libsass (3.6.5+20211226-1ubuntu1) kinetic; urgency=medium

  * Update symbols file for ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 17:48:20 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Priority: optional
 Build-Depends:
  autoconf-archive,
- d-shlibs (>= 0.50),
+ d-shlibs,
  debhelper-compat (= 13),
  pkg-kde-tools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/sass-team/libsass
 Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
 Homepage: https://sass-lang.com/libsass

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-# resolve if release is experimental or backports
-EXP_RELEASE = $(filter experimental% UNRELEASED %-backports,\
+# resolve if release is experimental
+EXP_RELEASE = $(filter experimental% UNRELEASED,\
  $(shell dpkg-parsechangelog -S Distribution))
 
 export LIBSASS_VERSION = $(DEB_VERSION_UPSTREAM)
 
-# relax symbols check when targeting experimental and backports
+# relax symbols check when targeting experimental
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 # Let d-shlibs calculate development package dependencies

## libsass 3.6.5+20220909

=== debian/changelog ===
libsass (3.6.5+20220909-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update symbols file;
    closes: bug#1012989, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Dec 2022 15:05:31 +0100

libsass (3.6.5+20211226-2) experimental; urgency=medium

  * declare compliance with Debian Policy 4.6.1
  * build-depend on dh-sequence-pkgkde-symbolshelper
    (not pkg-kde-tools)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Sep 2022 17:33:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libsass
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
+Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Anthony Fok <foka@debian.org>,
@@ -8,10 +7,10 @@
 Priority: optional
 Build-Depends:
  autoconf-archive,
+ dh-sequence-pkgkde-symbolshelper,
  d-shlibs,
  debhelper-compat (= 13),
- pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/sass-team/libsass
 Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
 Homepage: https://sass-lang.com/libsass

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 # relax symbols check when targeting experimental
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
+%:
+	dh $@
+
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
 execute_after_dh_install:
@@ -21,7 +24,4 @@
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/*" \
 			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/$(DEB_SOURCE).so
-
-%:
-	dh $@ --with pkgkde_symbolshelper
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so

## libsass 3.6.5+20231221

=== debian/changelog ===
libsass (3.6.5+20231221-3) unstable; urgency=high

  * fix revive a symbol
  * set urgency=high due to security bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 03:02:09 +0100

libsass (3.6.5+20231221-2) unstable; urgency=high

  * update symbols
  * set urgency=high due to security bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 02:33:48 +0100

libsass (3.6.5+20231221-1) experimental; urgency=high

  [ upstream ]
  * new development snapshot
    + fix most urgent issues in 2023;
      closes: bug#1051893, #1051894, #1051895;
      CVE-2022-26592 CVE-2022-43357 CVE-2022-43358

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * set urgency=high due to security bugfixes
  * enable link-time optimization;
    closes: bug#1015519, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Dec 2023 19:57:09 +0100

libsass (3.6.5+20220909-3) unstable; urgency=medium

  * update symbols file (for all arches this time)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jul 2023 15:44:09 +0200

libsass (3.6.5+20220909-2) unstable; urgency=medium

  * update symbols file;
    closes: bug#1037736, #1042201,
    thanks to Bo YU, Matthias Klose, and Lucas Nussbaum
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2023 19:23:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
  $(shell dpkg-parsechangelog -S Distribution))
 
 export LIBSASS_VERSION = $(DEB_VERSION_UPSTREAM)
+
+# enable link-time optimization
+export DEB_BUILD_MAINT_OPTIONS=optimize=+lto
 
 # relax symbols check when targeting experimental
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)

=== debian/tests/control ===
Tests: spec
Depends:
 ruby:native,
 sass-spec,
 sass-spec-data,
 sassc,

## libsass 3.6.6

=== debian/changelog ===
libsass (3.6.6-0ubuntu2) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:21:57 +0000

libsass (3.6.6-0ubuntu1) plucky; urgency=medium

  * New upstream point release which == 3.6.5+20231221.
  * d/libsass1.symbols: Refactor to only care about symbols that
    are part of the libsass1 ABI.
  * d/rules: Enable hardening.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Feb 2025 12:34:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libsass
-Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Anthony Fok <foka@debian.org>,
@@ -10,7 +11,7 @@
  dh-sequence-pkgkde-symbolshelper,
  d-shlibs,
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/sass-team/libsass
 Vcs-Git: https://salsa.debian.org/sass-team/libsass.git
 Homepage: https://sass-lang.com/libsass

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export LIBSASS_VERSION = $(DEB_VERSION_UPSTREAM)
 
 # enable link-time optimization
-export DEB_BUILD_MAINT_OPTIONS=optimize=+lto
+export DEB_BUILD_MAINT_OPTIONS=optimize=+lto hardening=+all
 
 # relax symbols check when targeting experimental
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
